<div align="center">
  <img src="branding/logo.png" width="250px" >
  <p>
    <strong>Decentralized Data Governance</strong>
  </p>
</div>

---

[Band Protocol](https://bandprotocol.com) is a protocol for decentralized data governance on public blockchains. The protocol incentivizes multiple independent parties to work cooperatively to provide trusted data for [decentralized applications](https://en.wikipedia.org/wiki/Decentralized_application) on-chain. For more information on how the protocol works, visit the [developer portal](https://developers.bandprotocol.com).

This repository is a [monorepo](https://en.wikipedia.org/wiki/Monorepo) containing Band Protocol's smart contracts and variuous supporting tools and libraries. See below for the breakdown and explanation of each folder. Note that each folder is its own independent module with separate license and README.

## Table of Contents

|                                  | Description                                                      | Languages / Framework |
| -------------------------------- | ---------------------------------------------------------------- | --------------------- |
| [`app`](app)                     | 🚀 Application portal to interact with Band                      | `javascript`, `react` |
| [`band-solidity`](band-solidity) | 📗 Solidity library for dapps                                    | `solidity`            |
| [`branding`](branding)           | 🎨 Public branding assets                                        | `png`, `svg`          |
| [`contracts`](contracts)         | 🤝 Core smart contracts                                          | `solidity`            |
| [`docs`](docs)                   | 📖 Developer documentation                                       | `markdown`, `vue`     |
| [`go`](go)                       | 🐀 Go packages                                                   | `golang`              |
| [`truffle-box`](truffle-box)     | 🎁 [Truffle Box](https://www.trufflesuite.com/boxes) boilerplate | `solidity`            |
| [`web`](web)                     | 🌏 Implementation of https://bandprotocol.com                    | `javascript`, `react` |

## Contributing

We highly encourage participation from the community to help with Band Protocol development. If you are interested in developing with Band Protocol or have suggestion for protocol improvement, please open an issue, submit a pull request, or [drop as a line](mailto:connect@bandprotocol.com).
