# Welcome to Band Protocol

Welcome to [Band Protocol](https://bandprotocol.com)'s open knowledge base. Here you will find everything you need to know about Band Protocol, ranging from high-level non-technical ideas all the way to the most detailed specifications. Whether you are a token holder 🤵, a dapp developer 👷, or just a blockchain enthusiast 🕵️‍, we got you covered!

_**Note**: For those interested in reading about Band Protocol in a more academia-like format, we recommend going through our [whitepaper](https://whitepaper.bandprotocol.com) as the first place to start._

## What Is Band Protocol?

Band Protocol is a protocol for decentralized data governance on public blockchains. The protocol incentivizes multiple independent parties to work cooperatively to provide trusted data. Curated information is available on-chain, ready to be consumed by other blockchain protocols or decentralized applications. While initially Band Protocol is built on [Ethereum](https://ethereum.org), the protocol itself is blockchain agnostic and can scale to support multiple different blockchains in upcoming iterations. **Band Protocol serves as the data layer of the [Web3](http://wiki.web3.foundation/en/latest/tech_stack/tech_stack_overview/) ecosystem, bridging real world and/or subjective information to smart contracts.**

## How Many Parties Are Involved?

Band Protocol's ecosystem primarily consists of three groups of participants. Note that it is possible that one individual takes multiple roles in the ecosystem.

- **Token Holders** collectively share the ownership stake of Band Protocol. They are responsible for maintaining data quality. In exchange, they receive token price appreciation and revenue shares.

- **DApp Developers** utilize Band Protocol to consume trusted data on their smart contracts without a single point of failure. They pay small fees in exchange for the services.

- **Data Providers** are specialized entities that independently work on bringing data from outside world to blockchain securely. Token holders stake for the providers to give them the right to work.

With that said, however, Band Protocol is more complex than just these three parties interacting with each other directly. For the sake of intimidation, the protocol involves the concepts of [Continuous Bonding Curve](https://medium.com/@simondlr/tokens-2-0-curved-token-bonding-in-curation-markets-1764a2e0bee5), [Delegated Proof-of-Stake](https://en.bitcoinwiki.org/wiki/DPoS), [On-chain Governance](https://www.investopedia.com/terms/o/onchain-governance.asp), just to name a few.

## Next Steps

Ready to dive 🏊‍ in? Continue to the next page to learn more about the problems Band Protocol is solving. You can also go to one of the following pages if you already have a specific goal ⛳️ in mind.

<!-- - Go to [Protocol Architecture](/band/tokens.md) to learn high-level concepts of Band Protocol. -->

- Go to [DApp Developer Guide](/devs/overview.md) to learn how to integrate your dapps with Band's public datasets.
    <!-- - Go to [Token Holder Guide](/holders/overview.md) to learn how to participate on protocol governance and earn rewads. -->
- Go to [Data Provider Guide](/providers/overview.md) to learn how to become a data provider and start serving data.
- Go to [Available Datasets](TODO) to explore datasets current available on Band Protocol.
