# Comparison with Other Projects

Curious readers may wonder about the differences between Band Protocol and other oracle projects available in the market. We cover the major points in this section.

<sub>_This information is based on whitepapers and publicly available materials. If you are a developer working on one of the projects and would like to provide direct feedback, please reach out to us at [connect@bandprotocol.com](mailto:connect@bandprotocol.com)._</sub>

|                                      | <img src="/assets/logos/band.png" width="20">                                   | [<img src="/assets/logos/chainlink.ico" width="20">](https://chain.link)        | [<img src="/assets/logos/provable.png" width="20">](https://provable.xyz)      | [<img src="/assets/logos/maker.png" width="20">](https://developer.makerdao.com/feeds/) | [<img src="/assets/logos/dos.ico" width="20">](https://dos.network/)            | [<img src="/assets/logos/tellor.png" width="20">](https://tellor.io/)          | [<img src="/assets/logos/witnet.png" width="20">](https://witnet.io/)           | [<img src="/assets/logos/uma.png" width="20">](https://github.com/UMAprotocol/whitepaper) |
| ------------------------------------ | ------------------------------------------------------------------------------- | ------------------------------------------------------------------------------- | ------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------- | ------------------------------------------------------------------------------ | ------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- |
| Decentralized oracle                 | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">   | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">            | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20"> | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">            |
| Intuitive & Instant query processing | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">    | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">   | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">          | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">    | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20"> | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">    | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">              |
| No third party point of failure      | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">    | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">   | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">          | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">    | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20"> | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">    | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">            |
| Payment in native currency           | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">    | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20"> | <img src="/assets/ovals/oval-dark.svg" style="margin-bottom:-7px" width="20">           | <img src="/assets/ovals/oval-yellow.svg" style="margin-bottom:-7px" width="20"> | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">   | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">    | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">            |
| Support multiple data types          | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20"> | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">            | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">   | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">              |
| Dedicated token for each data type   | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">    | <img src="/assets/ovals/oval-dark.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-dark.svg" style="margin-bottom:-7px" width="20">           | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">    | <img src="/assets/ovals/oval-dark.svg" style="margin-bottom:-7px" width="20">  | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">    | <img src="/assets/ovals/oval-dark.svg" style="margin-bottom:-7px" width="20">             |
| Support multiple blockchains         | <img src="/assets/ovals/oval-yellow.svg" style="margin-bottom:-7px" width="20"> | <img src="/assets/ovals/oval-yellow.svg" style="margin-bottom:-7px" width="20"> | <img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20"> | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">            | <img src="/assets/ovals/oval-yellow.svg" style="margin-bottom:-7px" width="20"> | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">   | <img src="/assets/ovals/oval-yellow.svg" style="margin-bottom:-7px" width="20"> | <img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20">              |

<div style="display: flex; justify-content: space-evenly">
  <div><img src="/assets/ovals/oval-green.svg" style="margin-bottom:-7px" width="20"> Yes</div>
  <div><img src="/assets/ovals/oval-yellow.svg" style="margin-bottom:-7px" width="20"> Yes in future release</div>
  <div><img src="/assets/ovals/oval-red.svg" style="margin-bottom:-7px" width="20"> No</div>
  <div><img src="/assets/ovals/oval-dark.svg" style="margin-bottom:-7px" width="20"> Not applicable</div>
</div>

- **Decentralized Oracle**: Whether the protocol is decentralized and permissionless. An open protocol must allow Anyone to participate in data provision through a transparant rule and there must be an open market for data providers driven by token economics.

- **Intuitive and Instance Query Processing**: Whether a data query to the protocol is intuitive and instant. Querying data should be as simple as a cross-contract function call that returns data within the same transaction. Several protocols use callback approach, which is both complicated to interact and adds delay that hurts user experience.

- **No Third Party Point of Failure**: Whether the protocol is designed to function without reliance on third party services (such as CoinMarketCap or CryptoCompare for price feeds).

- **Payment in Native Currency**: Whether data consumers can pay in platform's native token (ETH in case of Ether) or must use the protocol's native token. Using protocol native token, while creates a use case for token, may hinder network adoption since the consumers must maintain another token in their ecosystems.

- **Support Multiple Data Types**: Whether the protocol is designed to support more than just one specific type of data.

- **Dedicated Token for Each Data Type**: Whether the protocol has an indepedent token for each different data type. Having dedicated tokens helps aligned the incentive of all token holders to curate good data and makes bribing more difficult since bad dataset is strictly tied to token value.

- **Support Multiple Blockchains**: Whether the protocol is fundamentally designed to run mutually on multiple blockchains, with economic design to bolster security across those chains.

<!-- ## Detailed Explanation

### Band Protocol vs ChainLink

### Band Protocol vs Provable (Oraclize)

### Band Protocol vs MakerDAO Price Feed

### Band Protocol vs DOS Network

### Band Protocol vs Tellor Oracle

### Band Protocol vs Witnet

### Band Protocol vs Zap Oracle

### Band Protocol vs UMA Oracle -->
