# Band Protocol

本文档由 [Rebase技术社区](http://rebase.network/) 翻译，翻译内容来自 [River的简书](https://www.jianshu.com/nb/39705712)，并保续同步更新。

欢迎来到 [Band Protocol](https://bandprotocol.com)的开放的知识库。在这里你会得到一切关于Band Protocol的知识，从高层次的非技术概念到最详细的规范。无论你是一个token持有者，dapp开发者，或者是一个区块链爱好者，我们都能满足你!

_**注意**: 有兴趣阅读更学术化的内容的人，建议首先阅读我们的[白皮书](https://whitepaper.bandprotocol.com)。_

## Band Protocol是什么？

Band Protocol 一种在公共区块链上管理去中心化数据的协议。该协议鼓励多个独立方合作提供可信的数据。 所管理的信息在链上可用，可以被其他区块链协议或Dapp使用。最初的 Band Protocol 是建立在 [以太坊](https://ethereum.org)上，协议本身是区块链无关的，并且可以在未来的迭代中扩展以支持多个不同的区块链。 **Band Protocol 作为 [Web3](http://wiki.web3.foundation/en/latest/tech_stack/tech_stack_overview/) 生态的数据层, 将真实世界和/或主观信息连接到智能合约中。**

## 有几方生态参与者？

Band Protocol的生态主要由三组参与者组成。请注意，一个人可能在生态系统中扮演多个角色。

- **Token持有者** 共同分享 Band Protocol的所有权。他们负责维护数据质量。作为交换，他们可以获得象征性的价格上涨和收益分成。

- **DApp开发者**利用Band Protocol在智能合约上消费可信数据，而不会出现单点故障。他们为这些服务支付少量费用。

- **数据提供者** 是专门的实体，它们独立地工作，将外部世界的数据安全地带到区块链。Token持有者为提供者提供利害关系，以赋予他们工作的权利。

尽管如此，Band Protocol 比这三个直接交互方更复杂。为了吓唬人的目的，举几个例子，协议中引入了[Continuous Bonding Curve](https://medium.com/@simondlr/tokens-2-0-curved-token-bonding-in-curation-markets-1764a2e0bee5), [DPos](https://en.bitcoinwiki.org/wiki/DPoS), [链上的治理](https://www.investopedia.com/terms/o/onchain-governance.asp)的概念。

## 下一步

准备好潜水了么🏊? 继续到下一页，了解更多Band Protocol 正在解决的问题。如果你已经有一个具体的目标⛳️，你也可以去其他页面。

<!-- - Go to [Protocol Architecture](/band/tokens.md) to learn high-level concepts of Band Protocol. -->

- 通过[DApp 开发者指南](/devs/overview.md) 了解如何将你的 dapps 与 Band的公共数据集集成。
    <!-- - Go to [Token Holder Guide](/holders/overview.md) to learn how to participate on protocol governance and earn rewads. -->
  <!-- - Go to [Data Provider Guide](/providers/overview.md) to learn how to become a data provider and earn revenue share. -->
- 通过[可用数据集](TODO) 查看当前在 Band Protocol 可用的数据集。
