# 金融数据集 (Kovan)

该数据集提供跨多个资产类别的近乎实时的财务数据更新。你可以使用这些金融数据来支持你的DeFi应用程序。
下面是与金融数据集(Kovan) 相关的智能合约的地址。

| 合约              | 地址                                                                                                                     |
| --------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| 数据集 Token         | [0x6566bE6fb21CA90F85b3D22D5D94FEece78B9909](https://kovan.etherscan.io/address/0x6566bE6fb21CA90F85b3D22D5D94FEece78B9909) |
| 数据集 Oracle        | [0xa24dF0420dE1f3b8d740A52AAEB9d55d6D64478e](https://kovan.etherscan.io/address/0xa24dF0420dE1f3b8d740A52AAEB9d55d6D64478e) |
| 治理参数| [0x8eE1b01666bCe3889321B12D2b3cD30EaE627efE](https://kovan.etherscan.io/address/0x8eE1b01666bCe3889321B12D2b3cD30EaE627efE) |

## Key-Value 格式

与Band Protocol 上的其他数据集类似，数据消费者通过提供 _输入键_ 来查询财务数据，以返回一个 _输出值_。我们在本小节中讨论了这种格式。

### Input Key
input key 由两部分组成，以`/`作为分隔符。

- 第一部分，[查询类型](#supported-query-types), 是标识查询类型的唯一标识符。

- 第二部分是对应查询类型所需的可变长度参数。

示例如下。

| Key (hex)                      | Key (ascii)      | 说明                  |
| ------------------------------ | ---------------- | ---------------------------- |
| `53504f5450582f4642`           | `SPOTPX/FB`      | Facebook股票的现货价格|
| `53504f5450582f4554482d555344` | `SPOTPX/ETH-USD` | ETH/USD现货价格  |

### 输出值

输出值以256位无符号整数作为结果。根据查询类型，输出值需要乘以 10<sup>18</sup>保持算术精度。

## 查询类型

下面是财务数据集中当前支持的查询类型列表。每种查询类型都有其惟一的 _keyword_ 作为查询键的第一部分。

### 资产现货价格 - `SPOTPX`

此查询返回给定资产 _当前的_ 公平价格。不同的数据提供者可能对公平价格有不同的解释(差价中间价、最后成交价等)。

- **参数**：对于货币对，参数是由`-`分隔的两个货币符号(`ETH-USD` 表示用`USD`计算的`ETH`价格)。对于其他资产，参数是资产符号 (`FB` 表示Facebook价格以报价货币 `USD` 表示)。

- **输出**：该数据集的最终结果是所有数据提供者的 _中值_。  最终的结果要乘以 10<sup>18</sup>。

## 资产符号

金融数据集将资产符号划分为几个 _资产类别_。每个资产类都有自己的方法来命名代码。注意，有些查询类型只支持某些资产类型。

### 货币

**法定货币**

| 符号 | 说明             |
| ------ | ----------------------- |
| `CNY`  | 人民币 |
| `JPY`  | 日元            |
| `GBP`  | 英镑         |
| `THB`  | 泰铢              |
| `USD`  | 美元   |

**加密数字货币**

| 符号 | 说明           |
| ------ | --------------------- |
| `BTC`  | Bitcoin               |
| `ETH`  | Ethereum              |
| `XRP`  | XRP                   |
| `LTC`  | Litecoin              |
| `BCH`  | Bitcoin Cash          |
| `BAT`  | Basic Attention Token |
| `DAI`  | Dai                   |
| `OMG`  | OmiseGo               |
| `REP`  | Augur                 |
| `KNC`  | Kyber Network         |
| `USDC` | USD Coin              |
| `ZRX`  | 0x                    |

### 美国股票

**报价货币**: `USD`

| 符号 | 公司   |
| ------ | --------- |
| AAPL   | Apple     |
| AMZN   | Amazon    |
| FB     | Facebook  |
| GOOG   | Alphabet  |
| MSFT   | Microsoft |
| NFLX   | Netflix   |
| ORCL   | Oracle    |

### 商品

**报价货币**: `USD`

| 符号 | 说明 | 单位  |
| ------ | ----------- | ----- |
| XAU    | 黄金        | 盎司 |
| XAG    | 白银      | 盎司 |
