# 彩票结果 (Kovan)

该数据集提供了来自世界各地彩票机构的最新彩票结果。Dapp可以使用这些数据来进行决策。示例应用程序包括分散投注、共享彩票池、保险等。

| 合约              | 地址                                                                                                                     |
| --------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| 数据集 Token         | [0x815CcAEa74C689E980E78eCc95A88CeD77CB0DBd](https://kovan.etherscan.io/address/0x815CcAEa74C689E980E78eCc95A88CeD77CB0DBd) |
| 数据集 Oracle        | [0x7b09c1255b27fCcFf18ecC0B357ac5fFf5f5cb31](https://kovan.etherscan.io/address/0x7b09c1255b27fCcFf18ecC0B357ac5fFf5f5cb31) |
| 治理参数| [0x88be588852474e3a194deb44D30150a58a627d2b](https://kovan.etherscan.io/address/0x88be588852474e3a194deb44D30150a58a627d2b) |

## Key-Value 格式

与Band Protocol 上的其他数据集类似，数据消费者通过提供 _输入键_ 来查询财务数据，以返回一个 _输出值_。我们在本小节中讨论了这种格式。

### 输入键

输入键由两部分组成，以`/`作为分隔符。

- 第1个参数，[彩票类型](#supported-lottery-types), 是标识彩票类型的唯一标识符。
- 其余部分将取决于彩票类型。

### 输出 Value

输出需要根据输入键进行不同的解析。有关详细信息，请参考下面每种彩票类型。

## 支持的彩票类型

下面是当前支持的彩票类型列表。每种类型都有其惟一的 _keyword_ 作为查询键的第一部分。

### US Multi-State Powerball - `PWB`

查询特定的输入部分是彩票日期(美国时间)，格式为`YYYYMMDD`。32字节的输出可以解析如下：
- 前五个字节中的每一个都表示一个非特殊的白球的数目。每个字节必须被解析为`uint8`。例如，十六进制`0x12`表示18。
- 下一个字节表示红色强力球的值。
- 下一个字节表示乘数值。

| Input Key (hex)            | Input Key (ascii) | Output Value (hex)   |
| -------------------------- | ----------------- | -------------------- |
| `5057422f3230313930383137` | `PWB/20190817`    | `1215181e3c1403....` |

### US Multi-State MegaMillions - `MMN`

查询特定的输入部分是彩票日期(美国时间)，格式为`YYYYMMDD`。32字节的输出可以解析如下：

- 前五个字节中的每一个都表示一个非特殊的白球的数目。每个字节必须被解析为`uint8`。例如，十六进制`0x12`表示18。
- 下一个字节表示黄金Megaball的值。
- 下一个字节表示乘数值。

| Input Key (hex)            | Input Key (ascii) | Output Value (hex)   |
| -------------------------- | ----------------- | -------------------- |
| `4d4d4e2f3230313930383136` | `MMN/20190816`    | `040e181a2e0e02....` |
